import Flutter
import UIKit

public class SwiftFakeUniPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "fake_uni", binaryMessenger: registrar.messenger())
    let instance = SwiftFakeUniPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    let device = UIDevice.current;
        result(device.identifierForVendor?.uuidString);
  }
}
